Tài khoản thanh toán

GET https://qrcloud.online/api/payments/
curl --request GET \
--url 'https://qrcloud.online/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Tài liệu API - parameters Chi tiết Mô tả
processor Tùy chọn Tài liệu API - string Tài liệu API - allowed values paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status Tùy chọn Tài liệu API - string Tài liệu API - allowed values paid, pending, cancelled, refunded
type Tùy chọn Tài liệu API - string Tài liệu API - allowed values one_time, recurring
frequency Tùy chọn Tài liệu API - string Tài liệu API - allowed values monthly, quarterly, biannual, annual, lifetime
datetime_field Tùy chọn Tài liệu API - string Tài liệu API - allowed values datetime
datetime_start Tùy chọn Tài liệu API - string Bộ lọc results starting from this datetime. Y-m-d H:i:s format.
datetime_end Tùy chọn Tài liệu API - string Bộ lọc results up to this datetime. Y-m-d H:i:s format.
order_by Tùy chọn Tài liệu API - string What field to thứ tự the results by. Allowed values are: id, datetime, total_amount.
order_type Tùy chọn Tài liệu API - string Tài liệu API - order by Loại
page Tùy chọn Tài liệu API - int The page number that you want results from. Defaults đến 1.
results_per_page Tùy chọn Tài liệu API - int How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults đến 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-05-20 05:35:05",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://qrcloud.online/api/payments?page=1",
        "last": "https://qrcloud.online/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://qrcloud.online/api/payments?page=1"
    }
}
GET https://qrcloud.online/api/payments/{payment_id}
curl --request GET \
--url 'https://qrcloud.online/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-05-20 05:35:05",
    }
}